Subject: [os2genau_digest] No. 1966
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 14 Jun 2010 00:00:11 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Sunday 13 June 2010
 Number  1966
**************************************************

Subjects for today
 
1   CUPS problem : Alan Duval <amoht at westnet dot com dot au>

**= Email   1 ==========================**

Date:  Mon, 14 Jun 2010 00:00:27 +1000
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:   CUPS problem

Decided to buy a HP Deskjet D2660 as I wasn't getting anywhere with the 
hp psc 1315 and it started playing up. After research I found that HPLIP 
supports the mode l bought.

I then uninstalled CUPS with Warpin and downloaded the CUPS warpin file 
again and reinstalled it plus the HPLIP drivers. Then installed the 
printer from CUPS from my browser and tried to print a test page but 
again failed with the CUPS page showing the following:

*HPd2660 "/cups/lib/cups/filter/hpcups.exe failed"*

*Description:* HP Deskjet D2660
*Location:* Local
*Printer Driver:* HP Deskjet d2600 Series, hpcups 3.9.12.29
*Printer State:* idle, accepting jobs, published.
*Device URI:* usb://HP/Deskjet%20D2600%20series?serial=CN9CFDF22K05C9

I used the option to choose the *.ppd file which I found in   
C:\cups\share\ppd\HP  folder.
I note that these ppd files are really  *.ppd.gz files  so do I need 
gunzip somewhere to unzip them or does the CUPS program have this ability?

One other thing I noticed is that the CUPS warpin program has put the 
eCUPS Daemon program folder in my startup folder and its properties 
folder shows the path and file name as  'cmd.exe'   and the parameters 
as " /c detach C:\cups\sbin\cupsd.exe " . Does that automatically start 
cupsd ?

I don't know where I can go. As far as I know I've followed the 
instructions fully but to no avail.
I installed the new printer in Ubuntu and WIN XP and it's working well 
in both but eCS is my main OS and I no longer have a printer that works 
with it.

I'd be grateful for any help.

Regards,

Alan Duval
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===